Name:           python-shellescape
Version:        3.8.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Shell escape a string to safely use it as a token in a shell command

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/chrissimpkins/shellescape
Source:         %{pypi_source shellescape}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
The shellescape Python module defines the shellescape.quote() function that
returns a shell-escaped version of a Python string. This is a backport of the
shlex.quote() function from Python 3.8 that makes it accessible to users of
Python 3 versions < 3.3 and all Python 2.x versions.}

%description %_description

%package -n     python3-shellescape
Summary:        %{summary}

%description -n python3-shellescape %_description


%prep
%autosetup -p1 -n shellescape-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# Add top-level Python module names here as arguments, you can use globs
%pyproject_save_files shellescape


%check
# %%pytest tests
%pyproject_check_import


%files -n python3-shellescape -f %{pyproject_files}


%changelog
%autochangelog
